## FMADataType FMADataType — The Data Factory Type Definitions |

## Functions

const gchar * | fma_data_types_get_gconf_dump_key ()

## Types and Values

enum | FMADataType

## Includes

    #include <filemanager-actions/fma-data-types.h>

## Description

## Functions

### fma_data_types_get_gconf_dump_key ()

    const gchar *
    fma_data_types_get_gconf_dump_key (guint type);

#### Parameters

type | the FactoryData type. |

#### Returns

the GConf key suitable for this type.

The returned key is owned by the factory data management system, and should not be released by the caller.

Since: 2.30

## Types and Values

### enum FMADataType

Each elementary data which would take advantage of FMABoxed facilities should be typed at instanciation time.

FMAIFactoryProvider implementations should provide a primitive for reading (resp. writing) a value for each of these elementary data types.

Please note that this enumeration may be compiled in by the extensions. They must so remain fixed, unless you are prepared to see strange effects (e.g. an extension may have been compiled with `FMA_DATA_TYPE_STRING` = 2, while you have inserted another element, making it to 3 !) - or you know what you are doing...

So, only add new items at the end of the enum. You have been warned!

#### Members

FMA_DATA_TYPE_BOOLEAN | a boolean can be initialized with "true" or "false" (case insensitive) |
FMA_DATA_TYPE_POINTER | a ( void * ) pointer |
FMA_DATA_TYPE_STRING | an ASCII string |
FMA_DATA_TYPE_STRING_LIST | a list of ASCII strings |
FMA_DATA_TYPE_LOCALE_STRING | a localized UTF-8 string |
FMA_DATA_TYPE_UINT | an unsigned integer |
FMA_DATA_TYPE_UINT_LIST | a list of unsigned integers |

Since: 2.30